Subject: Re: rm -f with no file operands fails on old BSD systems

From: Philip Guenther <[email-masked]>
Date: Mon, 6 Oct 2014 20:00:12 -0700

On Mon, Oct 6, 2014 at 7:51 PM, Richard Hansen <[email-masked]> wrote:
...
> Digging around in various CVS/Subversion repositories, it looks like
> there are many old (but perhaps not yet museum-worthy) *BSD versions
> that behave this way:
>
>   * NetBSD 4.x and older (5.0 released April 2009).  see: [1] [2]
>   * FreeBSD 3.1.x and older (3.2 released May 1999).  see: [3] [4]
>   * OpenBSD 2.x and older (3.0 released Dec 2001).  see [5]

Speaking on behalf of the OpenBSD project: OpenBSD 2.x should be
considered dead, buried, rotted, and worthy of derision.  History is
history: useful to study, but if you try to live there you will die of
horrific diseases.  Do not hold up progress on the basis that you'll
trip over a 12+ year old release.

Philip Guenther
[email-masked]